%define libgnomemm_version 2.14.0
%define libgnomecanvasmm_version 2.6.0
%define gconfmm_version 2.6.0
%define gnomevfsmm_version 2.6.0
%define libglademm_version 2.4.0

%define pkgname libgnomeuimm
%define major 1
%define api_version 2.6
%define libname_orig	%mklibname gnomeuimm %{api_version}
%define libname		%mklibname gnomeuimm %{api_version} %{major}
%define develname %mklibname -d gnomeuimm %{api_version}

Summary:	A C++ wrapper for GNOME UI library
Name:		%{pkgname}%{api_version}
Version:	2.28.0
Release:	%mkrel 16
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.7.1
BuildRequires:	pkgconfig(gnome-vfsmm-2.6) >= %{gnomevfsmm_version}
BuildRequires:	pkgconfig(gconfmm-2.6) >= %{gconfmm_version}
BuildRequires:	pkgconfig(libgnomemm-2.6) >= %{libgnomemm_version}
BuildRequires:	pkgconfig(libgnomecanvasmm-2.6) >= %{libgnomecanvasmm_version}
BuildRequires:	pkgconfig(libglademm-2.4) >= %{libglademm_version}
BuildRequires:	pkgconfig(expat)
BuildRequires:	doxygen

%description
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}
Summary:	A C++ wrapper for GNOME UI library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %develname
Summary:	Development files for libgnomeui C++ wrapper
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gnomeuimm %api_version 1

%description	-n %develname
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%{pkgname}, the C++ interface to libgnomeui.

It is necessary when compiling applications which use %{pkgname} as well.


%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
%make_install
find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/libgnomeuimm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc COPYING ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

%files doc
%doc docs/reference/html 


%changelog
* Wed Aug 05 2020 joequant <joequant> 2.28.0-16.mga8
+ Revision: 1611078
- revert arm

* Wed Apr 22 2020 ovitters <ovitters> 2.28.0-15.mga8
+ Revision: 1570838
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 2.28.0-14.mga8
+ Revision: 1514116
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.28.0-13.mga7
+ Revision: 1298882
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.28.0-12.mga7
+ Revision: 1234097
- fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 2.28.0-11.mga6
+ Revision: 955559
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.28.0-10.mga6
+ Revision: 869041
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.28.0-9.mga5
+ Revision: 746330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.28.0-8.mga5
+ Revision: 681503
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.28.0-7.mga4
+ Revision: 507117
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.28.0-6.mga3
+ Revision: 357300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.28.0-5.mga3
+ Revision: 305613
- Documentation group

* Thu Aug 04 2011 fwang <fwang> 2.28.0-4.mga2
+ Revision: 131774
- do not ship .la files

* Thu Feb 03 2011 dmorgan <dmorgan> 2.28.0-3.mga1
+ Revision: 46565
- Remove mdv macros
- imported package libgnomeuimm2.6

